org.apache.hadoop.io

## Class VersionMismatchException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.io.VersionMismatchException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class VersionMismatchException
      extends IOException

  Thrown by `VersionedWritable.readFields(DataInput)` when the version of an object being read does not match the current implementation version as returned by `VersionedWritable.getVersion()`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VersionMismatchException(byte expectedVersionIn, byte foundVersionIn)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionMismatchException

          public VersionMismatchException(byte expectedVersionIn,
                                          byte foundVersionIn)

  - ### Method Detail

    - #### toString

          public String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `Throwable`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.